Gecode::Int::Cumulative::ExtOmegaNode Class Reference

Node for an extended omega tree. More...

`#include <cumulative.hh>`

## Public Member Functions

void | init (const ExtOmegaNode &l, const ExtOmegaNode &r)
| Initialize node from left child l and right child r.
void | update (const ExtOmegaNode &l, const ExtOmegaNode &r)
| Update node from left child l and right child r.
Public Member Functions inherited from Gecode::Int::Cumulative::OmegaNode
void | init (const OmegaNode &l, const OmegaNode &r)
| Initialize node from left child l and right child r.
void | update (const OmegaNode &l, const OmegaNode &r)
| Update node from left child l and right child r.

## Public Attributes

long long int | cenv
| Energy envelope for subtree.
Public Attributes inherited from Gecode::Int::Cumulative::OmegaNode
long long int | e
| Energy for subtree.
long long int | env
| Energy envelope for subtree.

## Detailed Description

Node for an extended omega tree.

Definition at line 582 of file cumulative.hh.

## Member Function Documentation

## init()

void Gecode::Int::Cumulative::ExtOmegaNode::init | ( | const ExtOmegaNode & | l,
|  | const ExtOmegaNode & | r )

inline

Initialize node from left child l and right child r.

Definition at line 92 of file tree.hpp.

## update()

void Gecode::Int::Cumulative::ExtOmegaNode::update | ( | const ExtOmegaNode & | l,
|  | const ExtOmegaNode & | r )

inline

Update node from left child l and right child r.

Definition at line 98 of file tree.hpp.

## Member Data Documentation

## cenv

long long int Gecode::Int::Cumulative::ExtOmegaNode::cenv

Energy envelope for subtree.

Definition at line 585 of file cumulative.hh.

The documentation for this class was generated from the following files:

- gecode/int/cumulative.hh
- gecode/int/cumulative/tree.hpp